getRecentPerformanceSamples
Authorizations
AuthorizationstringOptional
Pass Authorization: <api-key> on each request.
Body
jsonrpcstring · enumRequiredExample:
JSON-RPC protocol version.
2.0Possible values: idone ofRequiredExample:
Request identifier echoed back in the response.
1stringOptional
integerOptional
methodstring · enumRequiredExample:
Must be getRecentPerformanceSamples.
getRecentPerformanceSamplesPossible values: Responses
200
Successful getRecentPerformanceSamples response.
application/json
Base envelope of every JSON-RPC 2.0 response.
jsonrpcstring · enumRequiredExample:
2.0Possible values: idone ofRequiredExample:
Echoed request id.
1stringOptional
integerOptional
401
Authentication required or invalid.
application/json
403
Insufficient permissions for the request.
application/json
429
Rate limit exceeded for this tier.
application/json
500
Unexpected server error.
application/json
post/
curl -X POST https://public.rpc.solanavibestation.com \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getRecentPerformanceSamples",
"params": [
5
]
}'{
"jsonrpc": "2.0",
"id": 1,
"result": [
{
"slot": 416997380,
"numTransactions": 168226,
"numSlots": 152,
"samplePeriodSecs": 60,
"numNonVoteTransactions": 54837
},
{
"slot": 416997228,
"numTransactions": 174204,
"numSlots": 158,
"samplePeriodSecs": 60,
"numNonVoteTransactions": 56218
},
{
"slot": 416997070,
"numTransactions": 167063,
"numSlots": 145,
"samplePeriodSecs": 60,
"numNonVoteTransactions": 58812
}
]
}Last updated